[SOLVED] nextcloud 12 and php 7.2

This forum is for topics dealing with problems with software specifically in the ARMv7h repo.

[SOLVED] nextcloud 12 and php 7.2

Postby loki279 » Mon Dec 04, 2017 9:42 am

Hello,

I just updated my RP3 running nextcloud 12 on it. Now I get a message:

Code: Select all
This version of Nextcloud is not compatible with PHP 7.2.
You are currently running 7.2.0.


When trying to enter the cloud via browser. I did some research and found that nextcloud 12 will not work with php > 7.1. Problem now, nextcloud 13 is not realeased (which soueld work with php 7.2) and I cannot downgrade php to 7.1 as I already deleted the cache and I cannot enter the rollback machine on
http://tardis.tiny-vps.com/aarm/packages/p/
clicking on php gives me a timeout on the page
http://tardis.tiny-vps.com/

Any ideas how to fix this?
Thanks!
Last edited by loki279 on Wed Dec 06, 2017 8:30 am, edited 2 times in total.
loki279
 
Posts: 9
Joined: Tue Mar 07, 2017 7:59 am

Re: nextcloud 12 and php 7.2

Postby loki279 » Tue Dec 05, 2017 9:58 am

I was provided with cached versions for most of the packeages needed, as I'm running nginx, I still need

php-fpm

and

php-sqlite

in version 7.1.12-1 if possible. If someone could hint me to a cached version, that would help a lot!

Thanks, Miro
loki279
 
Posts: 9
Joined: Tue Mar 07, 2017 7:59 am

Re: [SOLVED] nextcloud 12 and php 7.2

Postby loki279 » Wed Dec 06, 2017 8:31 am

http://tardis.tiny-vps.com/

is working again. I was able to install cached versions of the remaining php packages from there my cloud is working again.
loki279
 
Posts: 9
Joined: Tue Mar 07, 2017 7:59 am

Re: [SOLVED] nextcloud 12 and php 7.2

Postby Kabbone » Thu Dec 07, 2017 11:01 pm

How did you even install the updated package if it's dependencies are php < 7.2?
Kabbone
 
Posts: 82
Joined: Thu Jul 25, 2013 9:20 am


Return to ARMv7h

Who is online

Users browsing this forum: No registered users and 3 guests